### Virtual Method

# Pango FontMap load_fontset

#### Declaration [src]

    PangoFontset*
    load_fontset (
      PangoFontMap* fontmap,
      PangoContext* context,
      const PangoFontDescription* desc,
      PangoLanguage* language
    )

#### Description [src]

Load a set of fonts in the fontmap that can be used to render a font matching `desc`.

#### Parameters

`context`

  Type: `PangoContext`

  The `PangoContext` the font will be used with.

  The data is owned by the caller of the method.

`desc`

  Type: `PangoFontDescription`

  A `PangoFontDescription` describing the font to load.

  The data is owned by the caller of the method.

`language`

  Type: `PangoLanguage`

  A `PangoLanguage` the fonts will be used for.

  The data is owned by the caller of the method.

#### Return value

Type: `PangoFontset`

The newly allocated `PangoFontset` loaded, or `NULL` if no font matched.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.